<?php

/**
 * Class EkomiIntegrationAdminOrderOverviewExtender.
 *
 * This is a EkomiIntegration overload for the AdminOrderOverviewExtenderComponent.
 *
 * @see AdminOrderOverviewExtenderComponent
 *
 * @extends    EkomiIntegrationAdminOrderOverviewExtender_parent
 *
 * @category   System
 *
 * @author     eKomi Ltd <support@ekomi.de>
 */
class EkomiIntegrationAdminOrderOverviewExtender extends EkomiIntegrationAdminOrderOverviewExtender_parent
{
    const ACTION_MULTI_STATUS = 'gm_multi_status';

    /**
     * Overloadeds "proceed" method.
     */
    public function proceed()
    {
        parent::proceed();
        if (self::ACTION_MULTI_STATUS == $this->v_data_array['GET']['action']) {
            if (EkomiIntegrationManager::ENABLE_VALUE == gm_get_conf('MODULE_CENTER_EKOMIINTEGRATION_INSTALLED') &&
                EkomiIntegrationManager::ENABLE_VALUE == gm_get_conf('EKOMIINTEGRATION_ENABLE')
            ) {
                $newOrderStatus = $this->v_data_array['POST']['gm_status'];
                $orderIDs = $this->v_data_array['POST']['gm_multi_status'];
                if (!empty($orderIDs)) {
                    foreach ($orderIDs as $key => $orderId) {
                        $ekomiIntegrationManager = MainFactory::create_object(
                            'EkomiIntegrationManager',
                            array(gm_get_conf('EKOMIINTEGRATION_SHOP_ID'), gm_get_conf('EKOMIINTEGRATION_SHOP_PASSWORD'))
                        );
                        $ekomiIntegrationManager->exportOrder($orderId, $newOrderStatus);
                    }
                }
            }
        }
    }
}
