<?php

/**
 * Class EkomiIntegrationCheckoutSuccessExtender.
 *
 * This is a EkomiIntegration overload for the CheckoutSuccessExtenderComponent.
 *
 * @see AdminOrderOverviewExtenderComponent
 *
 * @extends    EkomiIntegrationCheckoutSuccessExtender_parent
 *
 * @category   System
 *
 * @author     eKomi Ltd <support@ekomi.de>
 */
class EkomiIntegrationCheckoutSuccessExtender extends EkomiIntegrationCheckoutSuccessExtender_parent
{
    /**
     * Overloads "proceed" method.
     */
    public function proceed()
    {
        parent::proceed();
        if (EkomiIntegrationManager::ENABLE_VALUE == gm_get_conf('MODULE_CENTER_EKOMIINTEGRATION_INSTALLED') &&
            EkomiIntegrationManager::ENABLE_VALUE == gm_get_conf('EKOMIINTEGRATION_ENABLE')
        ) {
            $ekomiIntegrationManager = MainFactory::create_object(
                'EkomiIntegrationManager',
                array(gm_get_conf('EKOMIINTEGRATION_SHOP_ID'), gm_get_conf('EKOMIINTEGRATION_SHOP_PASSWORD'))
            );

            if (isset($this->v_data_array['orders_id']) && !empty($this->v_data_array['orders_id'])) {
                $ekomiIntegrationManager->exportOrder($this->v_data_array['orders_id']);
            }
        }
    }
}
