<?php

/**
 * Class EkomiIntegrationOrderWriteService.
 *
 * This is a EkomiIntegration overload for the OrderWriteService.
 *
 * @see OrderWriteService
 *
 * @extends    EkomiIntegrationOrderWriteService_parent
 *
 * @category   System
 *
 * @author     eKomi Ltd <support@ekomi.de>
 */
class EkomiIntegrationOrderWriteService extends EkomiIntegrationOrderWriteService_parent
{
    /**
     * Updates the order status of an order.
     *
     * @param IdType     $orderId          Order ID of the order to update.
     * @param IdType     $newOrderStatusId The new status ID.
     * @param StringType $comment          Comment of the order status history item.
     * @param BoolType   $customerNotified Customer notified flag.
     */
    public function updateOrderStatus(IdType $orderId,
        IdType $newOrderStatusId,
        StringType $comment,
        BoolType $customerNotified)
    {
        parent::updateOrderStatus($orderId, $newOrderStatusId, $comment, $customerNotified);
        if (EkomiIntegrationManager::ENABLE_VALUE == gm_get_conf('MODULE_CENTER_EKOMIINTEGRATION_INSTALLED') &&
            EkomiIntegrationManager::ENABLE_VALUE == gm_get_conf('EKOMIINTEGRATION_ENABLE')
        ) {
            $ekomiIntegrationManager = MainFactory::create_object(
                'EkomiIntegrationManager',
                array(gm_get_conf('EKOMIINTEGRATION_SHOP_ID'), gm_get_conf('EKOMIINTEGRATION_SHOP_PASSWORD'))
            );

            $ekomiIntegrationManager->exportOrder($orderId);
        }
    }
}
